Soporte » Plugins y Hacks » Error en plugin Genesis

  • Buenas tardes.

    Tengo un wordpress con woocommerce y ahora me aparece un error en una parte de la página que tiene que ver con el plugin de genesis.

    La web me la han realizado externamente y no logro contactar con el que me la hizo.

    Me aparece este error:

    Deprecated: genesis_attributes_nav ha quedado obsoleto desde la versión 3.1.0. Utiliza \StudioPress\Genesis\Functions\Schema\nav_primary en su lugar. in /var/www/vhosts/xxxxxxxxx.com/httpdocs/wp-includes/functions.php on line 4713

    ¿Como puedo solucionarlo?

    Gracias

Viendo 8 respuestas - de la 1 a la 8 (de un total de 8)
  • Moderador almendron

    (@almendron)

    Debes aportar algo más de información:

    Como mínimo, URL de tu sitio, tema que usas y sobre todo indicar cuál es exactamente el plugin que te da el error. No vale «Genesis» porque hay unos cuantos.

    Iniciador del debate fforsito

    (@fforsito)

    Disculpa almendron.

    Pensé que estaría prohibido el publicar el sitio.

    El sitio es http://www.elrincondeldetalle.com

    El error lo da arriba a la derecha donde dice «menu» que más bien eso también está mal porque antes se desplegaba un menú y quizás no aparece por ese error.

    El tema que uso es Essence ProVersión: 1.1.0
    Y el genesis la verdad nose, se que es un error de se plugin porque es lo que indica, realmente tengo estos dos instalados:

    Genesis Connect for WooCommerce
    Genesis Simple Edits

    Ambos activos.

    • Esta respuesta fue modificada hace 10 meses, 2 semanas por fforsito.
    • Esta respuesta fue modificada hace 10 meses, 2 semanas por fforsito.
    Moderador almendron

    (@almendron)

    Comprueba donde se encuentra la ruta de la carpeta «StudioPress». ¿Esta dentro de «themes» o de «plugins»?

    Iniciador del debate fforsito

    (@fforsito)

    Hola @almendron

    He mirado en el servidor y no hay ninguna carpeta «StudioPress» ni en Themes ni en Plugins.

    Moderador almendron

    (@almendron)

    Esto pusiste que decía el mensaje de error:

    Deprecated: genesis_attributes_nav ha quedado obsoleto desde la versión 3.1.0. Utiliza \StudioPress\Genesis\Functions\Schema\nav_primary en su lugar

    Debería estar en algún sitio

    Moderador almendron

    (@almendron)

    Busca la ruta Genesis\Functions\Schema\nav_primary

    Iniciador del debate fforsito

    (@fforsito)

    Pues tampoco tengo esa ruta… Qué cosas, seguro es alguna tontería y no logro saber el qué, he visto una ruta parecida, wp-content/themes/genesis y ahí dentro ya no está la de Schema ni tampoco ningún archivo nav_primary, si que hay un schema.php en fuctions.

    Moderador almendron

    (@almendron)

    Accede a https://studiopress.github.io/genesis/changelog/ y podrás comprobar como en la versión 3.1.3 aparece lo siguiente: Correct the deprecation message for genesis_attributes_nav

    Me imagino que tú comprarías «Essence Pro Theme Package + Genesis Framework Package».

    Actualizando debería resolverse el problema.

    Y más no te podemos ayudar porque se trata de productos comerciales. Los voluntarios del foro no tenemos acceso a ese tipo de productos y, por tanto, tampoco podemos realizar pruebas.

Viendo 8 respuestas - de la 1 a la 8 (de un total de 8)
  • El debate ‘Error en plugin Genesis’ está cerrado a nuevas respuestas.